.services-section{
    padding: 40px 0;
    background-color: #f5f5f5;
}

.services-container{
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 5%;
}

.services-main-title{
    color: #00d26a;
    font-size: 2em;
    margin-bottom: 10px;
    display: inline-block;
    position: relative;
}

.services-main-title::after{
    content: "";
    position: absolute;
    left: 0;
    bottom: -5px;
    width: 70%;
    height: 2px;
    background-color: #C9F9F9;

}

.services-intro{
    margin-bottom: 40px;
    color: #555;
}

.services-grid{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    width: 100%;
}


.card{
    padding: 30px;
    border-radius: 15px;
    min-height: 180px;
    display: flex;
    flex-direction: column;
    box-shadow: 0 4px 15px rgba(0,0,0,0.05);
    transition: transform 0.3s ease;
    height: auto;
    justify-content: flex-start;
    border-top: 6px solid #4A90E2;
}

.card:hover{
    transform: translateY(-5px);
}

.card h3{
    font-size: 1.3em;
    margin-bottom: 15px;
    line-height: 1.2;
}

.card p{
    font-size: 1.1em;
    line-height: 1.5;
}

.card-white{
    background-color: #fff;
    color: #333;
   /* border: 1px solid #eee;*/
}

.card-white h3{
    color: #000;
}

.card-green{
   background-color: #c3e1d2;
    
}

.card-office-horizontal{
    grid-column: 1/ -1;
    display: flex;
    width:100%;
    max-width: 1100px;
    margin: 30px auto;
    background-color: #fff;
    border-radius: 12px;
    border-top: 6px solid #C9F9F9;
    overflow: hidden;
    box-shadow: 0 4px 15px rgba(0,0,0,0.05);
    max-height: 40vh;
    box-sizing: border-box;
}

/*Esquerda*/
.office-content{
    flex:1;
    padding: 40px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.office-content h3{
    font-size: 1.5rem;
    margin-bottom: 5px;
}

.office-subtitle{
    font-weight: bold;
    margin-bottom: 15px;
}

.office-content p{
    font-size: 1.1em;
    line-height: 1.2;
    color: #333;
}

/*Lado direito*/
.office-image-container{
    flex:1;
    position: relative;
    min-height: 400px;
}

.office-image-container img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.image-overlay{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #000;
    opacity: 0.2;
}

@media(max-width:900px){
    .services-grid{
        grid-template-columns: 1fr 1fr;
    }

    .card-office-horizontal {
        grid-column: 1 / span 2;
        flex-direction: column;
        display: flex !important;
        flex-direction: row !important;
        align-items: stretch;
        min-height: 300px;
        max-height: 60vh;
    }

}

@media(max-width:600px){
    .services-grid{
        grid-template-columns: 1fr;
    }

    .card-office-horizontal {
        grid-column: 1 / span 1; 
        flex-direction: column;
        min-height: 80px;
        height: auto;
        min-height: 400px; 
        padding: 2em; 
        max-width: 60vh;
    }

    /* ESCONDE A IMAGEM NO MOBILE */
    .office-image-container {
        display: none;
    }

    .office-content {
        flex: 1;
        padding: 0;
        text-align: left; 
        width: 100%;
    }

    .office-content h3 {
        font-size: 1.4rem;
    }

    .margin-content p{
        font-size: 0.9rem;
    }
}
